package net.benjidial.nswp.commands;

import net.benjidial.nswp.Database;
import net.benjidial.nswp.Waypoint;

import org.bukkit.entity.Player;

import java.sql.SQLException;

public class SaveWaypoint extends PlayerCommand {

  public boolean doCommand(Player sender, String[] args) throws SQLException {

    if (args.length != 1)
      return false;

    Database.createWaypointTable(sender);

    Waypoint wp = Database.lookupWaypoint(sender, args[0]);
    if (wp != null) {
      sender.sendMessage("You already have a waypoint " + wp.toString() + ".");
      return true;
    }

    wp = new Waypoint(args[0], sender.getLocation());
    Database.addWaypoint(sender, wp);

    sender.sendMessage("Added " + wp.toString() + ".");
    return true;

  }

}
